/* 変数管理システム */
#include "defines.h"
#include "vsiki.h"

int var_read(unchar *vname,long *num,int *md,long *pp,VARSYS *var)
/* 変数読みだし */
{
long p;
	p=var_search(vname,var,md);
	if (p==0) return(VARNDEF); /* 変数は未定義 */
	*pp=p;
	if (p<0) return(VARNKAKU); /* 数値内容が未確定 */
	/* 読みだし */
	return(var_num_read(p,num,md,var));
}
